Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Changed version

  • Loading branch information...
commit 9a1a2c5d59419d7fc52bcd16b7347cba9d02cccc 1 parent a69aaf7
@clefebvre clefebvre authored
Showing with 16 additions and 687 deletions.
  1. +11 −11 configure
  2. +1 −1  configure.ac
  3. +3 −674 debian/changelog
  4. +1 −1  js/misc/config.js
View
22 configure
@@ -1,6 +1,6 @@
#! /bin/sh
# Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.68 for cinnamon 3.2.1.
+# Generated by GNU Autoconf 2.68 for cinnamon 1.0.0.
#
# Report bugs to <https://bugzilla.gnome.org/enter_bug.cgi?product=cinnamon>.
#
@@ -571,8 +571,8 @@ MAKEFLAGS=
# Identity of this package.
PACKAGE_NAME='cinnamon'
PACKAGE_TARNAME='cinnamon'
-PACKAGE_VERSION='3.2.1'
-PACKAGE_STRING='cinnamon 3.2.1'
+PACKAGE_VERSION='1.0.0'
+PACKAGE_STRING='cinnamon 1.0.0'
PACKAGE_BUGREPORT='https://bugzilla.gnome.org/enter_bug.cgi?product=cinnamon'
PACKAGE_URL=''
@@ -1453,7 +1453,7 @@ if test "$ac_init_help" = "long"; then
# Omit some internal or obsolete options to make the list less imposing.
# This message is too long to be a string in the A/UX 3.1 sh.
cat <<_ACEOF
-\`configure' configures cinnamon 3.2.1 to adapt to many kinds of systems.
+\`configure' configures cinnamon 1.0.0 to adapt to many kinds of systems.
Usage: $0 [OPTION]... [VAR=VALUE]...
@@ -1523,7 +1523,7 @@ fi
if test -n "$ac_init_help"; then
case $ac_init_help in
- short | recursive ) echo "Configuration of cinnamon 3.2.1:";;
+ short | recursive ) echo "Configuration of cinnamon 1.0.0:";;
esac
cat <<\_ACEOF
@@ -1698,7 +1698,7 @@ fi
test -n "$ac_init_help" && exit $ac_status
if $ac_init_version; then
cat <<\_ACEOF
-cinnamon configure 3.2.1
+cinnamon configure 1.0.0
generated by GNU Autoconf 2.68
Copyright (C) 2010 Free Software Foundation, Inc.
@@ -2067,7 +2067,7 @@ cat >config.log <<_ACEOF
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.
-It was created by cinnamon $as_me 3.2.1, which was
+It was created by cinnamon $as_me 1.0.0, which was
generated by GNU Autoconf 2.68. Invocation command line was
$ $0 $@
@@ -2894,7 +2894,7 @@ fi
# Define the identity of the package.
PACKAGE='cinnamon'
- VERSION='3.2.1'
+ VERSION='1.0.0'
cat >>confdefs.h <<_ACEOF
@@ -14948,7 +14948,7 @@ fi
CLUTTER_MIN_VERSION=1.7.5
GOBJECT_INTROSPECTION_MIN_VERSION=0.10.1
GJS_MIN_VERSION=1.29.18
-MUTTER_MIN_VERSION=3.2.1
+MUTTER_MIN_VERSION=1.0.0
FOLKS_MIN_VERSION=0.5.2
GTK_MIN_VERSION=3.0.0
GIO_MIN_VERSION=2.29.10
@@ -17250,7 +17250,7 @@ cat >>$CONFIG_STATUS <<\_ACEOF || ac_write_fail=1
# report actual input values of CONFIG_FILES etc. instead of their
# values after options handling.
ac_log="
-This file was extended by cinnamon $as_me 3.2.1, which was
+This file was extended by cinnamon $as_me 1.0.0, which was
generated by GNU Autoconf 2.68. Invocation command line was
CONFIG_FILES = $CONFIG_FILES
@@ -17316,7 +17316,7 @@ _ACEOF
cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1
ac_cs_config="`$as_echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`"
ac_cs_version="\\
-cinnamon config.status 3.2.1
+cinnamon config.status 1.0.0
configured by $0, generated by GNU Autoconf 2.68,
with options \\"\$ac_cs_config\\"
View
2  configure.ac
@@ -1,5 +1,5 @@
AC_PREREQ(2.63)
-AC_INIT([cinnamon],[3.2.1],[https://bugzilla.gnome.org/enter_bug.cgi?product=cinnamon],[cinnamon])
+AC_INIT([cinnamon],[1.0.0],[https://bugzilla.gnome.org/enter_bug.cgi?product=cinnamon],[cinnamon])
AC_CONFIG_HEADERS([config.h])
AC_CONFIG_SRCDIR([src/cinnamon-global.c])
View
677 debian/changelog
@@ -1,676 +1,5 @@
-cinnamon (3.2.1-0ubuntu1) oneiric-proposed; urgency=low
+cinnamon (1.0.0) lisa; urgency=low
- [ Jeremy Bicha ]
- * New upstream release (LP: #878672).
- - Restore the IM state on startup - if you were available in when you
- logged out, then you'll be set available again when you log in.
- - Improve searching for contacts in the overview: search more fields,
- show a more meaningful name, require that all search terms match.
- - Improve search for applications in the overview: take frequency into
- account and tweak match algorithm
- - Remove the "Show Password" switch from network password prompts, and
- move the functionality to a right-click menu
- - Add context menus with Cut/Paste options to most entries
- - Display a caps-lock warning in password entries
- - Show the state of installed extensions in Looking Glass
- - Load user extensions after system ones
- - Fix problem with many applications showing extra-large icons in
- notifications
- - Fix a problem where alt-Tab had trouble tracking the current
- application with certain applications such as Emacs.
- - Fix confusion between different users avatar images
- - Remove behavior where you could switch workspaces by bumping
- a dragged window in the overview against a screen edge; it was
- leftover and just confusing.
- - Fix long-standing bug where the Dash in the overview could end up
- mis-sized and run off the screen
- - Fix automatic launching of applications when media is inserted
- - Fix handling of vertically stacked monitors with NVIDIA drivers
- - Translation marking fixes
- - Code cleanups and warning fixes
- - Small memory leak fixes
- - On screen keyboard:
- + Show the keyboard immediately when it's turned enabled
- + Fix problem where keyboard would hide when starting to type
- in the search entry
- + Fix problem with keyboard hiding when selected accented characters
- - Misc bug fixes
- * debian/control.in:
- - Bump minimum mutter to 3.2.1
- - Drop dependency against libdconf0 and let dh_installgsettings set
- the right dependencies.
- - Depends on cups-pk-helper instead of recommends to ensure that
- the printer applet works (LP: #877367)
- * 01_favorite_apps.patch: dropped, replaced by override file.
- * New upstream release.
+ * Initial version (based on gnome-shell 3.2.1)
- -- Jeremy Bicha <jbicha@ubuntu.com> Mon, 24 Oct 2011 06:43:05 +0200
-
-cinnamon (3.2.0-0ubuntu1) oneiric; urgency=low
-
- * New upstream stable release.
- - Prevent the fallback on-screen keyboard from showing up while
- Cinnamon is running.
- - Disable code to reposition windows around the on-screen keyboard;
- it wasn't finished or working properly.
- - Fix interaction between on-screen keyboard and notifications
- - Fix menu-sizing problems in right-to-left locales.
- - Update chat icons in the message tray when an avatar image changes
- - Fix problem with empty notification bubbles being left.
- - Fix problem with chat notifications bouncing when new messages come in.
- - Fix bug that was causing SIP calls to automatically be accepted in some
- circumstances.
- - Fix string that should have been marked translatable.
- - Fix a crash that could happen during CSS transitions.
- - Build fixes.
- * debian/control.in: Depend on caribou instead of gir-caribou-1.0
- (LP: #858109)
-
- -- Jeremy Bicha <jbicha@ubuntu.com> Wed, 28 Sep 2011 06:48:58 +0200
-
-cinnamon (3.1.92-0ubuntu1) oneiric; urgency=low
-
- [ Jeremy Bicha ]
- * New upstream release.
- - Adds browser plugin for installing, enabling, disabling, and
- uninstalling cinnamon extensions. (Note that extensions.gnome.org
- isn't yet in operation.)
- - Lots of bugfixes
- * debian/control.in:
- - Depend on caribou libraries
- - Recommend gnome-session-fallback, needed when graphics support
- test fails (LP: #852950)
- - Bump minimum gjs dependency to 1.29.18 and minimum mutter
- to 3.1.92
- * debian/patches/01_favorite_apps.patch: Updated
- * debian/patches/04_build-without-caribou.patch: Dropped
-
- [ Martin Pitt ]
- * debian/control.in: Add libjson-glib-dev build dependency as per
- configure.ac.
-
- -- Jeremy Bicha <jbicha@ubuntu.com> Thu, 22 Sep 2011 08:50:45 +0200
-
-cinnamon (3.1.90.1-0ubuntu4) oneiric; urgency=low
-
- * debian/control.in
- - Depend on gir1.2-accountsservice-1.0 since if it's missing,
- Cinnamon won't even run (LP: #845791)
- - Also depend on libgudev-1.0-dev
-
- -- Jeremy Bicha <jbicha@ubuntu.com> Fri, 09 Sep 2011 13:19:30 -0400
-
-cinnamon (3.1.90.1-0ubuntu3) oneiric; urgency=low
-
- * debian/control.in: Add Recommends: cups-pk-helper. This isn't necessary
- under Unity, as we show/use system-config-printer there, but in the GNOME
- session control-center shows the upstream printer applet. This is a
- workaround for oneiric to avoid adding cups-pk-helper to main and the
- default install after FF. (LP: #844864)
-
- -- Martin Pitt <martin.pitt@ubuntu.com> Fri, 09 Sep 2011 17:54:50 +0200
-
-cinnamon (3.1.90.1-0ubuntu2) oneiric; urgency=low
-
- * debian/control.in:
- - Build-depends on libgnome-menu-3-dev, libgnome-keyring-dev,
- libfolks-dev
- - Bumped minimum versions for gobject-introspection and
- libtelepathy-glib-dev build-depends
-
- -- Jeremy Bicha <jbicha@ubuntu.com> Fri, 09 Sep 2011 00:04:55 -0400
-
-cinnamon (3.1.90.1-0ubuntu1) oneiric; urgency=low
-
- * New upstream release.
- * debian/control: Bump build-depends on new mutter
- * debian/patches/01_favorite_apps.patch: Updated
- * debian/patches/03_remove-glx-dependency-on-armel.patch: Refreshed
- * debian/patches/04_build-without-caribou.patch
- - Build without caribou since Ubuntu uses onboard and our System
- Settings doesn't support choosing a different screen keyboard yet
-
- -- Jeremy Bicha <jbicha@ubuntu.com> Wed, 07 Sep 2011 09:09:05 +0200
-
-cinnamon (3.1.4-0ubuntu2) oneiric; urgency=low
-
- * debian/patches/02_rpath-bluetooth-applet.patch:
- - Drop, it isn't needed with libgnome-bluetooth-dev (>= 3.1.0)
- * debian/patches/03_remove-glx-dependency-on-armel.patch:
- - Remove GLX dependency on armel
- * debian/control.in:
- - Drop Build-dep on mesa-common-dev [armel]
-
- -- Rico Tzschichholz <ricotz@ubuntu.com> Fri, 26 Aug 2011 08:49:11 +0200
-
-cinnamon (3.1.4-0ubuntu1) oneiric; urgency=low
-
- * New upstream release.
- * debian/control:
- - Build-depends on mesa-common-dev [armel]
- - Depend on gir1.2-soup-2.4
- - Bump libclutter, libgirepository, libgnome-bluetooth and libnm-glib
- minimum versions
- - Drop some redundant dependencies
- * debian/patches/01_favorite_apps.patch: Updated
- * debian/patches/03_power_dbus_name_change.patch: Dropped, upstream
-
- -- Jeremy Bicha <jbicha@ubuntu.com> Fri, 26 Aug 2011 02:46:22 +0200
-
-cinnamon (3.1.3-0ubuntu4) oneiric; urgency=low
-
- * debian/control.in
- - Bump build-depends on libgjs-dev & libtelepathy-glib-dev
- - Recommend gnome-themes-standard (for Adwaita)
-
- -- Jeremy Bicha <jbicha@ubuntu.com> Tue, 16 Aug 2011 23:24:00 -0400
-
-cinnamon (3.1.3-0ubuntu3) oneiric; urgency=low
-
- * debian/control.in: Add recommends to gnome-user-guide, so that installing
- Cinnamon also pulls in the corresponding help. (LP: #819158)
-
- -- Martin Pitt <martin.pitt@ubuntu.com> Tue, 16 Aug 2011 10:26:20 +0200
-
-cinnamon (3.1.3-0ubuntu2) oneiric; urgency=low
-
- * debian/patches/03_power_dbus_name_change.patch: Backport upstream
- commit to fix the disappearing power indicator.
-
- -- Bilal Akhtar <bilalakhtar@ubuntu.com> Thu, 11 Aug 2011 14:20:10 +0300
-
-cinnamon (3.1.3-0ubuntu1) oneiric; urgency=low
-
- * New upstream release
- * debian/control.in:
- - Update dependency versions
-
- -- Michael Terry <mterry@ubuntu.com> Wed, 20 Jul 2011 14:46:28 -0400
-
-cinnamon (3.0.2-1ubuntu1) oneiric; urgency=low
-
- * debian/control{,.in}: Change gir1.2-json-glib-1.0 build-dep to
- gir1.2-json-1.0 to reflect the binary rename in json-glib
- 0.13.4-2
-
- -- Micah Gersten <micahg@ubuntu.com> Thu, 14 Jul 2011 08:59:59 -0500
-
-cinnamon (3.0.2-1svn2build1) oneiric; urgency=low
-
- * No-change rebuild against latest libedataserverui-3.0-1.
-
- -- Bilal Akhtar <bilalakhtar@ubuntu.com> Wed, 13 Jul 2011 13:07:17 +0300
-
-cinnamon (3.0.2-1svn2) oneiric; urgency=low
-
- * No-change rebuild against libgnome-desktop-3-2.
-
- -- Martin Pitt <martin.pitt@ubuntu.com> Sun, 26 Jun 2011 10:28:18 +0200
-
-cinnamon (3.0.2-1svn1) oneiric; urgency=low
-
- Upload current Debian packaging svn head. No Ubuntu specific delta, thus
- keeping version number auto-syncable.
-
- * debian/control.in, debian/rules: When building on Ubuntu, add a dependency
- to gnome-icon-theme-full.
-
- -- Martin Pitt <martin.pitt@ubuntu.com> Fri, 24 Jun 2011 09:36:33 +0200
-
-cinnamon (3.0.2-1) experimental; urgency=low
-
- [ Rico Tzschichholz ]
- * New upstream release
- * debian/watch:
- - Look for bzip2 tarballs
- * debian/rules,debian/upstream.gitlog:
- - Drop upstream.gitlog which is outdated
-
- [ Josselin Mouette ]
- * Only recommend gnome-control-center.
- * Break gnome-control-center < 3. This time add the missing epoch.
- Closes: #628532.
-
- [ Sjoerd Simons ]
- * debian/rules: Fix misspelling of Recommends
-
- -- Sjoerd Simons <sjoerd@debian.org> Tue, 31 May 2011 19:31:47 -0700
-
-cinnamon (3.0.1-1) experimental; urgency=low
-
- [ Laurent Bigonville ]
- * debian/control.in:
- - Bump priority to optional
-
- [ Sjoerd Simons ]
- * New upstream release
-
- -- Sjoerd Simons <sjoerd@debian.org> Sat, 14 May 2011 17:58:12 +0100
-
-cinnamon (3.0.0.2-1) experimental; urgency=low
-
- * Team upload.
-
- [ Frederic Peters ]
- * New upstream release (2.91.93).
- * debian/control.in:
- + added dependency on gnome-icon-theme-symbolic.
- + bumped cinnamon dependency.
- + bumped gir1.2-freedesktop build-dep to 0.10.6, for a fix to
- cairo-1.0.typelib
-
- [ Raphaël Hertzog ]
- * New upstream release (3.0.0.2).
- * New patch 02_rpath-bluetooth-applet.patch by Rico Tzschichholz to
- add an RPATH so that the compilation doesn't fail when g-ir-scanner
- tries to analyze libcinnamon.so linked against
- libgnome-bluetooth-applet.so.0 which is in a private directory.
- * Add a lintian override for the RPATH that we can't avoid.
- * Teach dpkg-shlibdeps how to find that private lib and add the
- corresponding dependency in debian/slibs.local.
- * Update and add a bunch of build-depends to match the latest configure
- requirements.
- * Add gir1.2-gnomebluetooth-1.0 and gir1.2-networkmanager-1.0 to Depends
- because they are needed to benefit from the improved UI associated to the
- respective status bar applet.
-
- [ Laurent Bigonville ]
- * debian/control.in: {Build-}Depends against gir1.2-mutter-3.0 instead of
- gir1.2-mutter-2.91
-
- -- Raphaël Hertzog <hertzog@debian.org> Mon, 11 Apr 2011 21:03:31 +0000
-
-cinnamon (2.91.92-1) experimental; urgency=low
-
- * New upstream release.
- * debian/patches/, remove patches from upstream git:
- + 0001-altTab-fix-incorrect-positioning-with-multiple-monit.patch
- + 05_use_dbus_for_shutdown_and_logout.patch
- * debian/control.in:
- + add build-dep on libtelepathy-logger-dev and gir1.2-telepathylogger-0.2.
- + bump build-dep on libxfixes-dev, it needs the one from experimental, for
- pointer barriers.
-
- -- Frederic Peters <fpeters@debian.org> Thu, 24 Mar 2011 19:28:12 +0100
-
-cinnamon (2.91.91-2) experimental; urgency=low
-
- * debian/patches/04_gnome_session_quit.patch: remove, replaced by:
- * debian/patches/05_use_dbus_for_shutdown_and_logout.patch: use Session
- D-Bus interface for shutdown and logout. (from git) (closes: #618870)
-
- -- Frederic Peters <fpeters@debian.org> Sat, 19 Mar 2011 13:10:02 +0100
-
-cinnamon (2.91.91-1) experimental; urgency=low
-
- * New upstream release.
-
- [ Emilio Pozuelo Monfort ]
- * debian/control.in:
- + Depend on gsettings-desktop-schemas. Closes: #614945.
- + Depend on gir1.2-mutter-2.91. Closes: #615588.
-
- [ Frederic Peters ]
- * debian/control.in:
- + Don't depend on mutter, it now links against libmutter-wm0.
- * debian/patches/03_fix_dconf_service_location.patch: remove, no longer
- necessary now that cinnamon is a real binary and doesn't try to arrange
- its own environment.
- * debian/patches/04_gnome_session_quit.patch: use gnome-session-save in
- fallback if gnome-session-quit doesn't work, so cinnamon keeps working
- with older gnome-session versions.
-
- [ Emilio Pozuelo Monfort ]
- * d/p/0001-altTab-fix-incorrect-positioning-with-multiple-monit.patch:
- + Patch from upstream git, fix Alt+Tab with multiple monitors.
-
- -- Emilio Pozuelo Monfort <pochu@debian.org> Wed, 16 Mar 2011 21:47:27 +0000
-
-cinnamon (2.91.90-1) experimental; urgency=low
-
- * New upstream release.
- + Build depend on libtelepathy-glib-dev for the updated Telepathy
- integration.
- + Build depend on libpolkit-agent-1-dev for the new authorization dialogs.
- + Build depend, and depend, on appropriate gir packages (polkit,
- telepathy, and upower).
- + Update build dep on libmutter-dev.
- + Update depends for new libgnomekbd gir package name.
- + Remove Recommends on xserver-xephyr.
-
- -- Frederic Peters <fpeters@debian.org> Fri, 25 Feb 2011 12:23:23 +0100
-
-cinnamon (2.91.6-1) experimental; urgency=low
-
- [ Emilio Pozuelo Monfort ]
- * debian/control.in:
- + Depend on gnome-control-center for My Account / System settings.
-
- [ Laurent Bigonville ]
- * New upstream release.
- * debian/control.in:
- - Bump build-dependencies
- - Add libecal1.2-dev, libedataserver1.2-dev and libedataserverui1.2-dev
- build-dependencies
- - Make mutter depends on libdconf0 | gsettings-backend instead of
- libdconf0 only
-
- [ Emilio Pozuelo Monfort ]
- * debian/control.in:
- + Update for the new gtk+ 3 package names.
- + Add missing dependency on gir1.2-gnomekbd-3.0.
-
- -- Emilio Pozuelo Monfort <pochu@debian.org> Sat, 19 Feb 2011 16:45:48 +0000
-
-cinnamon (2.91.5-1) experimental; urgency=low
-
- * New upstream release.
- + debian/patches/02_fix_build_with_latest_gtk.patch:
- - Removed, fixed upstream.
- + debian/patches/01_favorite_apps.patch:
- - Refreshed.
- + debian/control.in:
- - Updated build dependencies.
-
- -- Emilio Pozuelo Monfort <pochu@debian.org> Wed, 12 Jan 2011 23:41:41 +0000
-
-cinnamon (2.91.3-2) experimental; urgency=low
-
- * debian/control.in:
- - Build depend on libdconf0 for dconf-service. Closes: #595598.
-
- -- Emilio Pozuelo Monfort <pochu@debian.org> Sun, 19 Dec 2010 16:36:11 +0000
-
-cinnamon (2.91.3-1) experimental; urgency=low
-
- [ Emilio Pozuelo Monfort ]
- * New upstream release (Closes: #605098, CVE-2010-4000).
- - debian/control.in:
- + Updated dependencies and build dependencies.
- - debian/patches/02_undo_gtk3_transition.diff:
- + Removed, let's use GTK+3 from now on.
- - debian/patches/03_fix_dconf_service_location.diff:
- + Updated.
- * debian/control.in,
- debian/rules:
- - Remove hack to get the typelibs scanned. Pass the private
- directory to dh_girepository instead. Update the minimum
- build dependency on gobject-introspection accordingly.
- * debian/control.in:
- - Build depend on gir1.2 packages.
- - Remove gir dependencies, they are autogenerated.
-
- [ Laurent Bigonville ]
- * debian/control.in: Add Vcs-* fields
- * debian/watch: Add watch file
-
- [ Emilio Pozuelo Monfort ]
- * debian/patches/02_fix_build_with_latest_gtk.patch:
- - Patch from upstream git, fix build with GTK+ 2.91.6.
- * debian/control.in:
- - Bump the libgtk3.0-dev accordingly.
- * debian/patches/*.diff:
- - Renamed to debian/patches/*.patch.
-
- -- Emilio Pozuelo Monfort <pochu@debian.org> Sun, 19 Dec 2010 00:08:30 +0000
-
-cinnamon (2.31.5-2) experimental; urgency=low
-
- * debian/control:
- - depend and build-depend on gir1.0-glib-2.0 (>= 0.6.15~git20100713)
- - also depend on gjs, because the clock preferences uses gjs-console for
- some reason
-
- -- Gustavo Noronha Silva <kov@debian.org> Wed, 28 Jul 2010 11:45:06 +0200
-
-cinnamon (2.31.5-1) experimental; urgency=low
-
- * New development release.
- - depend on mutter 2.31.5
- - refresh patches
- - fixes requirements on mutter (Closes: #586124)
- * debian/control.in:
- - Build-depend on glib >= 2.25.11-1 because we use glib-compile-schemas
- - Build-depend on gtk+ >= 2.21.1
- - Build-depend on gobject-introspection >= 0.6.15~git20100713-1 because
- we need newer glib bindings
- - Build-depend on gir1.0-json-glib-1.0 (Closes: #584660), thanks to
- Raphael Hertzog for pointing out the fix
- - cinnamon depends on gir1.0-gconf-2.0 >= 2.31.5 to run
- * debian/patches/02_undo_gtk3_transition.diff:
- - undo gtk2->gtk3 migration since we do not yet have gtk+ 3 on Debian
- * debian/patches/03_fix_dconf_service_location.diff:
- - fix the path used to start dconf-service
-
- -- Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk> Tue, 13 Jul 2010 14:36:34 -0300
-
-cinnamon (2.31.2-1) experimental; urgency=low
-
- * New upstream release
- - depends on mutter 2.31
- - includes debian/patches/02_gjs_build_fix.patch, so removing
- * debian/rules:
- - depends on clutter-1.0 >= 1.2.8
-
- -- Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk> Mon, 31 May 2010 11:03:29 -0300
-
-cinnamon (2.29.0-3) unstable; urgency=low
-
- [ Emilio Pozuelo Monfort ]
- * debian/patches/02_gjs_build_fix.patch:
- - Backport upstream commit to fix the build with recent gjs.
- * debian/source/format,
- debian/patches/series,
- debian/rules:
- - Convert to source format 3.0 (quilt).
- * debian/rules:
- - Include gnome-get-source.mk.
-
- -- Josselin Mouette <joss@debian.org> Tue, 27 Apr 2010 22:32:21 +0200
-
-cinnamon (2.29.0-2) unstable; urgency=low
-
- * debian/control:
- - really fix #572718 by bumping the version in mutter's gir package name
-
- -- Gustavo Noronha Silva <kov@debian.org> Mon, 15 Mar 2010 17:33:24 -0300
-
-cinnamon (2.29.0-1) unstable; urgency=low
-
- [ Emilio Pozuelo Monfort ]
- * debian/rules:
- - Don't install *.la.
-
- [ Gustavo Noronha Silva ]
- * New upstream development release.
- - should work with the newer mutter (Closes: #572718)
-
- -- Gustavo Noronha Silva <kov@debian.org> Tue, 09 Mar 2010 18:11:05 -0300
-
-cinnamon (2.28.1~git20100129-1) unstable; urgency=low
-
- * New upstream snapshot.
-
- -- Gustavo Noronha Silva <kov@debian.org> Fri, 29 Jan 2010 12:44:58 -0200
-
-cinnamon (2.28.1~git20091125-1) unstable; urgency=low
-
- * New upstream snapshot
-
- -- Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk> Wed, 25 Nov 2009 19:06:40 -0200
-
-cinnamon (2.28.1~git20091117-1) unstable; urgency=low
-
- * New upstream snapshot
- * debian/patches/02_allow_non_uri_apps.diff:
- - dropped; applied upstream
- * debian/upstream.gitlog, debian/rules:
- - ship upstream's git log as upstream changelog (Closes: #556354)
-
- -- Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk> Thu, 12 Nov 2009 12:02:52 -0200
-
-cinnamon (2.28.1~git20091112-1) unstable; urgency=low
-
- * New upstream snapshot
-
- -- Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk> Mon, 12 Nov 2009 10:43:05 -0200
-
-cinnamon (2.28.1~git20091028-2) unstable; urgency=low
-
- * debian/patches/01_favorite_apps.diff:
- - change the default favorite browser desktop file to be Epiphany's
- (Closes: #553054)
- * debian/control.in:
- - cinnamon's startup script wants to run glxinfo to get information
- regarding the server's GLX support; thanks to alex bodnaru
- <alexbodn@012.net.il> for noticing this is needed
- (Closes: #553440)
- * debian/patches/02_allow_non_uri_apps.diff:
- - patch by Guido Günther <agx@sigxcpu.org> to drop the requirement that
- associated apps support URIs, for local files at least
- (Closes: #553618)
-
- -- Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk> Mon, 09 Nov 2009 15:32:14 -0200
-
-cinnamon (2.28.1~git20091028-1) unstable; urgency=low
-
- * New upstream snapshot
- * debian/control:
- - bump Standards-Version to 3.8.3
- - python is a dependency, since the script that starts Cinnamon
- is a python script
- - pkg-config is also a dependency (Closes: #552202)
-
- -- Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk> Wed, 28 Oct 2009 16:12:13 -0200
-
-cinnamon (2.28.1~git20091024-1) unstable; urgency=low
-
- * New upstream snapshot
- * debian/control.in:
- - ok, I agree, let's recommend Xephyr for now (Closes: #552141)
-
- -- Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk> Sat, 24 Oct 2009 13:22:02 -0200
-
-cinnamon (2.28.1~git20091020-1) unstable; urgency=low
-
- * Initial upload, based on the Ubuntu package (Closes: #550956)
- * debian/patches:
- - drop two unnecessary patches
- * debian/rules:
- - cleanup, and add Debian GNOME Team rules include
- * debian/control.in:
- - add Debian GNOME Team stuff
- - fix alignment
- - remove Recommends for xserver-xephyr
- - fix build-dependencies package names
- - build-depend on gnome-pkg-tools for uploaders
-
- -- Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk> Wed, 14 Oct 2009 11:31:23 -0300
-
-cinnamon (2.28.0-0ubuntu2) karmic; urgency=low
-
- * Add libcroco3-dev to Build-Depends. Fixes FTBFS.
-
- -- Christopher James Halse Rogers <raof@ubuntu.com> Tue, 13 Oct 2009 17:50:23 +1100
-
-cinnamon (2.28.0-0ubuntu1) karmic; urgency=low
-
- * New upstream version
- * debian/control:
- - updated build requirement
- * debian/patches/80_git_change_fix_alt_tab_ressource_usage.patch:
- - git change to fix ressources not being freed on alt-tab
-
- -- Sebastien Bacher <seb128@ubuntu.com> Mon, 12 Oct 2009 22:44:00 +0200
-
-cinnamon (2.27.3-0ubuntu1) karmic; urgency=low
-
- * New upstream version
- * debian/control:
- - depends on python since it's used in the wrapper
- (lp: #413096)
- - updated gir requirement
-
- -- Sebastien Bacher <seb128@ubuntu.com> Wed, 30 Sep 2009 23:09:56 +0200
-
-cinnamon (2.27.2-0ubuntu1) karmic; urgency=low
-
- * New upstream version
-
- -- Sebastien Bacher <seb128@ubuntu.com> Tue, 08 Sep 2009 00:31:49 +0200
-
-cinnamon (2.27.1-0ubuntu1) karmic; urgency=low
-
- * New upstream version
- * debian/control:
- - updated build requirements
-
- -- Sebastien Bacher <seb128@ubuntu.com> Wed, 02 Sep 2009 10:44:03 +0200
-
-cinnamon (2.27.0-0ubuntu3) karmic; urgency=low
-
- * Requires gvfs-backends now
-
- -- Sebastien Bacher <seb128@ubuntu.com> Wed, 12 Aug 2009 01:46:57 +0200
-
-cinnamon (2.27.0-0ubuntu2) karmic; urgency=low
-
- * Require gobject-introspection-freedesktop too
-
- -- Sebastien Bacher <seb128@ubuntu.com> Wed, 12 Aug 2009 01:29:04 +0200
-
-cinnamon (2.27.0-0ubuntu1) karmic; urgency=low
-
- * New upstream version
-
- -- Sebastien Bacher <seb128@ubuntu.com> Tue, 11 Aug 2009 19:36:26 +0200
-
-cinnamon (0.0.1~git20090805-0ubuntu1) karmic; urgency=low
-
- * New upstream snapshot
- * debian/control:
- - require new clutter
-
- -- Sebastien Bacher <seb128@ubuntu.com> Wed, 05 Aug 2009 19:04:15 +0100
-
-cinnamon (0.0.1~git20090715-0ubuntu1) karmic; urgency=low
-
- * New upstream snapshot
- * debian/control:
- - build-depends on libglib
-
- -- Sebastien Bacher <seb128@ubuntu.com> Wed, 15 Jul 2009 15:57:33 +0200
-
-cinnamon (0.0.1~git20090702-0ubuntu0.2) karmic; urgency=low
-
- * debian/control:
- - recommends xserver-xephyr
-
- -- Sebastien Bacher <seb128@ubuntu.com> Thu, 02 Jul 2009 19:48:06 +0200
-
-cinnamon (0.0.1~git20090702-0ubuntu0.1) karmic; urgency=low
-
- * New git version
- * debian/control:
- - updated the depends
-
- -- Sebastien Bacher <seb128@ubuntu.com> Thu, 02 Jul 2009 15:59:22 +0200
-
-cinnamon (0.0.1~git20090701-0ubuntu0.3) karmic; urgency=low
-
- * debian/control:
- - build-depends on gobject-introspection-glib-2.0 and not on libdesk
-
- -- Sebastien Bacher <seb128@ubuntu.com> Thu, 02 Jul 2009 10:18:37 +0200
-
-cinnamon (0.0.1~git20090701-0ubuntu0.2) karmic; urgency=low
-
- * debian/control: build-depends on gobject-introspection
-
- -- Sebastien Bacher <seb128@ubuntu.com> Thu, 02 Jul 2009 09:51:01 +0200
-
-cinnamon (0.0.1~git20090701-0ubuntu0.1) karmic; urgency=low
-
- * Initial ppa upload
-
- -- Sebastien Bacher <seb128@ubuntu.com> Wed, 01 Jul 2009 23:29:31 +0200
+ -- Clement Lefebvre <root@linuxmint.com> Tue, 20 Dec 2011 14:10:34 +0000
View
2  js/misc/config.js
@@ -3,7 +3,7 @@
/* The name of this package (not localized) */
const PACKAGE_NAME = 'cinnamon';
/* The version of this package */
-const PACKAGE_VERSION = '3.2.1';
+const PACKAGE_VERSION = '1.0.0';
/* The version of GJS we're linking to */
const GJS_VERSION = '1.30.0';
/* 1 if gnome-bluetooth is available, 0 otherwise */
Please sign in to comment.
Something went wrong with that request. Please try again.